## org.jfree.chart.axis
Interface TickUnitSource

All Known Implementing Classes:
  StandardTickUnitSource, TickUnits

    public interface TickUnitSource

An interface used by the `DateAxis` and `NumberAxis` classes to obtain a suitable `TickUnit`.

Method Summary
`TickUnit` `getCeilingTickUnit(double size)` Returns the tick unit in the collection that is greater than or equal to the specified size.
`TickUnit` `getCeilingTickUnit(TickUnit unit)` Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.
`TickUnit` `getLargerTickUnit(TickUnit unit)` Returns a tick unit that is larger than the supplied unit.

Method Detail

### getLargerTickUnit

    TickUnit getLargerTickUnit(TickUnit unit)

  Returns a tick unit that is larger than the supplied unit.

  Parameters:
    `unit` - the unit.
  Returns:
    A tick unit that is larger than the supplied unit.

### getCeilingTickUnit

    TickUnit getCeilingTickUnit(TickUnit unit)

  Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.

  Parameters:
    `unit` - the unit.
  Returns:
    A unit from the collection.

### getCeilingTickUnit

    TickUnit getCeilingTickUnit(double size)

  Returns the tick unit in the collection that is greater than or equal to the specified size.

  Parameters:
    `size` - the size.
  Returns:
    A unit from the collection.